org.bdgenomics.adam.sql

# AlignmentRecord

#### class AlignmentRecord extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlignmentRecord
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentRecord(readInFragment: Option[Int], contigName: Option[String], start: Option[Long], oldPosition: Option[Long], end: Option[Long], mapq: Option[Int], readName: Option[String], sequence: Option[String], qual: Option[String], cigar: Option[String], oldCigar: Option[String], basesTrimmedFromStart: Option[Int], basesTrimmedFromEnd: Option[Int], readPaired: Option[Boolean], properPair: Option[Boolean], readMapped: Option[Boolean], mateMapped: Option[Boolean], failedVendorQualityChecks: Option[Boolean], duplicateRead: Option[Boolean], readNegativeStrand: Option[Boolean], mateNegativeStrand: Option[Boolean], primaryAlignment: Option[Boolean], secondaryAlignment: Option[Boolean], supplementaryAlignment: Option[Boolean], mismatchingPositions: Option[String], origQual: Option[String], attributes: Option[String], recordGroupName: Option[String], recordGroupSample: Option[String], mateAlignmentStart: Option[Long], mateContigName: Option[String], inferredInsertSize: Option[Long])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val attributes: Option[String]

8. #### val basesTrimmedFromEnd: Option[Int]

9. #### val basesTrimmedFromStart: Option[Int]

10. #### def canEqual(that: Any): Boolean

    Definition Classes
      AlignmentRecord → Equals

11. #### val cigar: Option[String]

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### val contigName: Option[String]

14. #### val duplicateRead: Option[Boolean]

15. #### val end: Option[Long]

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### val failedVendorQualityChecks: Option[Boolean]

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### val inferredInsertSize: Option[Long]

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### val mapq: Option[Int]

25. #### val mateAlignmentStart: Option[Long]

26. #### val mateContigName: Option[String]

27. #### val mateMapped: Option[Boolean]

28. #### val mateNegativeStrand: Option[Boolean]

29. #### val mismatchingPositions: Option[String]

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val oldCigar: Option[String]

34. #### val oldPosition: Option[Long]

35. #### val origQual: Option[String]

36. #### val primaryAlignment: Option[Boolean]

37. #### def productArity: Int

    Definition Classes
      AlignmentRecord → Product

38. #### def productElement(i: Int): Any

    Definition Classes
      AlignmentRecord → Product

39. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

40. #### def productPrefix: String

    Definition Classes
      Product

41. #### val properPair: Option[Boolean]

42. #### val qual: Option[String]

43. #### val readInFragment: Option[Int]

44. #### val readMapped: Option[Boolean]

45. #### val readName: Option[String]

46. #### val readNegativeStrand: Option[Boolean]

47. #### val readPaired: Option[Boolean]

48. #### val recordGroupName: Option[String]

49. #### val recordGroupSample: Option[String]

50. #### val secondaryAlignment: Option[Boolean]

51. #### val sequence: Option[String]

52. #### val start: Option[Long]

53. #### val supplementaryAlignment: Option[Boolean]

54. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

55. #### def toAvro: formats.avro.AlignmentRecord

56. #### def toString(): String

    Definition Classes
      AnyRef → Any

57. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped